BEEM - Android XMPP - Bug #368

Activity com.beem.project.beem.ui.LoginAnim has leaked ServiceConnection
07/17/2011 01:10 AM - Anonymous

Status: Closed Start date: 07/17/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Affected version: hg Locale:

Description

This happens when | try to reconnect after what I've described in the issue #364

E/ActivityThread( 2516): Activity com.beem.project.beem.ui.LoginAnim has leaked ServiceConnection
com.beem.project.beem.ui.LoginAnim$LoginServiceConnection@40746e68 that was originally bound here

E/ActivityThread( 2516): android.app.ServiceConnectionLeaked: Activity com.beem.project.boeem.ui.LoginAnim has leaked
ServiceConnection com.beem.project.beem.ui.LoginAnim$LoginServiceConnection@40746e68 that was originally bound here
E/ActivityThread( 2516):  at android.app.LoadedApk$ServiceDispatcher.<init>(LoadedApk.java:938)

E/ActivityThread( 2516):  at android.app.LoadedApk.getServiceDispatcher(LoadedApk.java:833)
E/ActivityThread( 2516):  at android.app.Contextlmpl.bindService(Contextimpl.java:890)
E/ActivityThread( 2516):  at android.content.ContextWrapper.bindService(ContextWrapper.java:347)
E/ActivityThread( 2516):  at com.beem.project.beem.ui.LoginAnim.onStart(LoginAnim.java:117)
E/ActivityThread( 2516):  at android.app.Instrumentation.callActivityOnStart(Instrumentation.java:1129)
E/ActivityThread( 2516):  at android.app.Activity.performStart(Activity.java:3791)

E/ActivityThread( 2516):  at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:1731)
E/ActivityThread( 2516):  at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:1784)
E/ActivityThread( 2516):  at android.app.ActivityThread.access$1500(ActivityThread.java:123)
E/ActivityThread( 2516):  at android.app.ActivityThread$H.handleMessage(ActivityThread.java:939)
E/ActivityThread( 2516):  at android.os.Handler.dispatchMessage(Handler.java:99)

E/ActivityThread( 2516):  at android.os.Looper.loop(Looper.java:123)

E/ActivityThread( 2516):  at android.app.ActivityThread.main(ActivityThread.java:3835)
E/ActivityThread( 2516):  at java.lang.reflect.Method.invokeNative(Native Method)

E/ActivityThread( 2516):  at java.lang.reflect.Method.invoke(Method.java:507)

E/ActivityThread( 2516):  at com.android.internal.os.Zygotelnit$MethodAndArgsCaller.run(Zygotelnit.java:841)
E/ActivityThread( 2516): at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:599)
E/ActivityThread( 2516):  at dalvik.system.NativeStart.main(Native Method)

Related issues:

Is duplicate of Bug #367: Activity com.beem.project.beem.ui.LoginAnim has lea... New 07/17/2011
History

#1-07/17/2011 01:16 AM - Tomas Touceda

It seems this happens when | start Beem and then block the phone. If | "keep it alive" long enough, it logs in just fine.

#2 - 02/21/2012 02:39 PM - Frédéric Barthéléry

- Status changed from New to Feedback

Does it still happens in the 0.1.7 release ?

#3 - 06/22/2012 12:37 PM - Frédéric Barthéléry

- Status changed from Feedback to Resolved

#4 - 08/10/2012 08:08 AM - Frédéric Barthéléry

- Status changed from Resolved to Closed

04/30/2025 1/1



http://176.31.245.170:3000/issues/364
http://www.tcpdf.org

